import Vue from 'vue'
import App from './App'
import api from "@/api";
import eventBus from "@/utils/eventBus";
import {toast, indicator, modal, storage, navigator} from '@/utils/uniApi'

Vue.config.productionTip = false

Vue.prototype.$api= api
Vue.prototype.$indicator = indicator
Vue.prototype.$toast = toast
Vue.prototype.$modal = modal
Vue.prototype.$storage = storage
Vue.prototype.$navigator = navigator
Vue.prototype.$bus = eventBus

App.mpType = 'app'

const app = new Vue({
  ...App
})
app.$mount()
