const getters = {
	isLogin: state => state.common.token,
	userInfo: state => state.common.userInfo,
	device: state => state.common.systemInfo ? state.common.systemInfo.device : '',
	platform: state => state.common.platform,
	openId: state => state.common.authInfo.openId,
	authInfo: state => state.common.authInfo,
	city: state => state.common.city,
	appTopButton: state => state.common.appTopButton,
	tenantId: state => state.common.tenant.id,
	imagePath: state => state.common.tenant.imagePath,
	appName: state => state.common.tenant.name,
	permission: state => state.common.permission,
	approve: state => state.common.approve,
}

export default getters
